<?php


namespace Controller;

require_once 'models/Cliente.php';

use Models\Cliente;

class ClientController
{
    public static function createClient(Connection $connection, $email, $name, $password): Array
    {
        $client = new Cliente($name, $email, $password);
        $client->save($connection);
        return $client->getClientByEmail($connection, $email);
    }

    public static function login(Connection $connection, $email, $password)
    {
        $con = $connection->get_connection();

        $stmt = $con->prepare("SELECT * FROM clientes WHERE email= ?");
        $stmt->execute(array($email));
        $user = $stmt->fetch();

        if($user && password_verify($password, $user['password']))
        {
            return true;
        }
        return false;
    }
}