<?php

namespace Controller;

require 'Connection.php';
use Models\Video;
use PDO;

class DashboardVideosController
{
    public function saveNewVideo(Connection $connection, $title, $url, $tags, $thumbnail, $thumb_size, $thumb_tmp_name, $fileType, $size, $tempName)
    {
        $video = new Video($title, $url, $tags, $thumbnail);
        if(!$video->validate($title, $url, $tags, $thumbnail))
        {
            return false;
        }
        $video->save($connection);
        $video->saveFile(pathinfo($url, PATHINFO_EXTENSION), $size, $tempName, $url);
        $video->saveThumbnail(pathinfo($thumbnail, PATHINFO_EXTENSION), $thumb_size, $thumb_tmp_name, $thumbnail);
        return true;
    }

    public static function getVideos()
    {
        $sql = "SELECT v.*, count(c.video_id)
            FROM videos AS v
            LEFT OUTER JOIN compras AS c
            ON v.id = c.video_id
            GROUP BY v.id
            ORDER BY v.id DESC";
        $connection = new Connection();
        $con = $connection->get_connection();
        $stmt = $con->prepare($sql);
        $stmt->execute();
        $videos =  $stmt->fetchAll(PDO::FETCH_ASSOC);
        $connection->close_connection();
        return $videos;
    }

    public static function getVideosFront()
    {
        $connection = new Connection();
        $con = $connection->get_connection();
        $stmt = $con->prepare("SELECT * FROM VIDEOS ORDER BY ID DESC LIMIT 3");
        $stmt->execute();
        $videos =  $stmt->fetchAll(PDO::FETCH_ASSOC);
        $connection->close_connection();
        return $videos;
    }

    public static function find($id)
    {
        $connection = new Connection();
        $con = $connection->get_connection();
        $stmt = $con->prepare("SELECT * FROM videos WHERE id= ?");
        $stmt->execute(array($id));
        return $stmt->fetch();
    }

    public static function skipFirstThreeVideos()
    {
        $connection = new Connection();
        $con = $connection->get_connection();
        $stmt = $con->prepare("SELECT * FROM VIDEOS ORDER BY ID DESC LIMIT 3, 3");
        $stmt->execute();
        $videos =  $stmt->fetchAll(PDO::FETCH_ASSOC);
        $connection->close_connection();
        return $videos;
    }

    public function delete(Connection $connection, $id)
    {
        $con = $connection->get_connection();
        $stmt = $con->prepare("DELETE FROM videos WHERE id=".$id);
        return $stmt->execute();
    }
}
