<?php

namespace Models;

require_once 'Model.php';

use Controller\Connection;

class Cliente extends Model
{
    protected $name;
    protected $mail;
    protected $password;

    public function __construct($name, $mail, $password)
    {
        $this->name = self::escapeData($name);
        $this->mail = self::escapeData($mail);
        $this->password = password_hash(self::escapeData($password), PASSWORD_DEFAULT);
    }

    public function save(Connection $connection)
    {
        if($this->name == null || $this->mail == null || $this->password == null)
        {
            return false;
        }
        $con = $connection->get_connection();
        $stmt = $con->prepare("INSERT INTO clientes (name, email, password) 
            VALUES (:name, :mail, :password)");

        $stmt->bindParam(":name", $this->name);
        $stmt->bindParam(":mail", $this->mail);
        $stmt->bindParam(":password", $this->password);

        return $stmt->execute();
    }

    public static function validate($name, $mail, $password)
    {
        if($name == null || $mail == null || $password == null)
        {
            return false;
        }
        return true;
    }

    public function getClientByEmail(Connection $connection, $email)
    {
        $con = $connection->get_connection();
        $stmt = $con->prepare("SELECT * FROM clientes WHERE email= ?");
        $stmt->execute(array($email));

        return $stmt->fetch();
    }
}