<?php
session_start();
if(!isset( $_SESSION['user'] )){
    header("Location: ./login.php");
}
?>
<!DOCTYPE html>
<html lang="es">
<?php include './components/head.php'; ?>
<body>
<?php include './components/top-nav-bar.php'; ?>
<div class="container-fluid">
    <div class="row">
        <?php include './components/side-navbar.php'; ?>
        <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
            <?php
            require '../controllers/DashboardController.php';

            use Controller\DashboardController;

            $user = DashboardController::perfil();
            $sectores = DashboardController::sectores($user["sector"]);

            ?>
            <h2 class="mt-3">Información del perfil:</h2>
            <br>
            <form action="save_profile.php" method="post" class="form-group">

                <label for="name">Nombre del usuario:</label>
                <input type="text" name="name" class="form-control" value="<?php echo $user["name"]; ?>" required />
                <br />

                <label for="mail">Correo del usuario:</label>
                <input type="email" name="mail" class="form-control" value="<?php echo $user["mail"]; ?>" required />
                <br />

                <input type="hidden" name="id" class="form-control" value="<?php echo $user["id"]; ?>" required />

                <label for="sector">Sector:</label>
                <select name="sector" class="form-select">
                    <option selected value="<?php echo $user["sector"]; ?>"><?php echo $user["sector"]; ?></option>
                    <?php foreach ($sectores as $sector){ ?>
                        <option value="<?php echo $sector; ?>"><?php echo $sector; ?></option>
                    <?php } ?>
                </select>

                <br><br>
                <button type="submit" class="btn btn-secondary">Guardar Datos</button>
            </form>

        </main>
    </div>
</div>


</body>
</html>